<?php
include_once '../../sys/fnc.php';

if (!isset($user)) {
    header('location: /');
    exit;
}
$title = 'Услуги';
include_once '../../sys/head.php';

$hist_money = mysql_num_rows(mysql_query("SELECT * FROM `history_money` WHERE `user` = '$user->id'"));
$products_kol = mysql_num_rows(mysql_query("SELECT * FROM `my_orders` WHERE `id_user` = '$user->id'"));
// $s_notice = mysql_num_rows(mysql_query("SELECT * FROM `system_notice` WHERE `id_user` = '$user->id'"));
// $new_notice = mysql_num_rows(mysql_query("SELECT * FROM `system_notice` WHERE `id_user` = '$user->id' AND `chit` = '1'"));
$ref_kol = mysql_num_rows(mysql_query("SELECT * FROM `userref` WHERE `user_id` = '$user->id'"));
$ref_suma = mysql_result(mysql_query("SELECT sum(profit_suma) FROM `userref` WHERE `user_id` = '$user->id'"), 0);
$logs_user = mysql_result(mysql_query("SELECT COUNT(*) FROM `logs_user` WHERE `id_user` = '$user->id'"),0);



$c_p = mysql_result(mysql_query("SELECT COUNT(*) FROM `my_orders` WHERE `id_user` = '".$user->id."'"),0);
$p_page = '10';
$k_page = k_page($c_p, $p_page);
$page = page($k_page);
$start = $p_page*$page-$p_page;

if ($c_p == 0) {
	echo '<div class="err">Ошибка! У Вас отсутсвуют заказы!</div>';
}else{

$query = mysql_query("SELECT * FROM `my_orders` WHERE `id_user` = '".$user->id."' ORDER BY `id` DESC LIMIT $start, ". $p_page);
while ($post = mysql_fetch_assoc($query)) {
// Вывод статуса
$status_k = array(0 => '<font color="#858513">Заказан №'.$post['id'].'</font>', 1 => '<font color="#009900">Активен</font>', 2 => '<font color="red">Остановлен</font>', 3 => '<font color="#181818">Обрабатывается</font>');

//Вводим дату, до которой считать

$date_to = $post['works_to'];

$date_now = time();  //текущая дата

$date_left = $date_to-$date_now;//сколько осталось

$gtdate = getdate($date_left); // переводим в массив

?><div class="menu_link"><?= html($post['name']) ?> </div>
<div class="post0"> 
Заказ №<?= $post['id'] ?> <br>
Логин ISP: <?= html($post['isp_login']) ?><br />
Пароль ISP: <?= html($post['isp_password']) ?> <br>
Тариф: <?= html($post['name']) ?><br />
Цена/мес.: <?= intval($post['price']) ?> WMR <br>
Действует до: <?= ptime(intval($post['works_to'])) ?> <? if($post['status']==1){?>[<?echo ($gtdate['yday'] > 10? '<font color="#009900">'.$gtdate['yday'].' дн.</font>' : '<font color="red">'.$gtdate['yday'].' дн.</font>') ?>]<?}?><br />
Состояние: <?= $status_k[$post['status']] ?> <br>
Автоматическое продление услуги: <?= ($post['automatic_extension']==1? '<font color="#009900">Включено</font>' : '<font color="red">Отключено</font>') ?>

</div>
<div class="razdel">Управление услугой</div>
<a class="link" href="/scripts/products.php?editing=<?= $post['id'] ?>"><span class="arrow"><img src="/style/img/icon1.png" alt="icon" /> Редактировать </span></a>
<a class="link" href="/manager/ispmgr?func=auth&username=<?= strtolower($post['isp_login']) ?>&password=<?= $post['isp_password'] ?>&checkcookie=no" target="_blank"><span class="arrow"><img src="/style/img/icon1.png" alt="icon" /> Панель управления WAP </span></a>
<a class="link" href="/isp/index.php?username=<?= strtolower($post['isp_login']) ?>&password=<?= $post['isp_password'] ?>"" target="_blank"><span class="arrow"><img src="/style/img/icon1.png" alt="icon" /> Панель управления WAP </span></a>
<hr><hr>

<?
if (time() > $post['works_to'] && $post['status'] != '0' && $post['status'] != '3'){
echo '<div class="menu">';
echo '<font color="red">Срок действия услуги вышел!</font>';
echo '</div>';
}

}
if ($k_page > 1) str('/scripts/user/cabinet?', $k_page, $page);
}
include_once '../../sys/foot.php';
?>